You are Here:
Download Linux Lite 5.2 today - See Release Announcements



Can't install Dukto in LL50

Author (Read 1138 times)

0 Members and 1 Guest are viewing this topic.

Can't install Dukto in LL50
« on: August 13, 2020, 12:13:08 PM »
 

arky217

  • New to Forums
  • *
  • 45
    Posts
  • Country: us
  • Reputation: 6
  • Linux Lite Member

  • Linux Lite: 4.6 64bit

  • CPU: Pentium Gold G5400

  • MEMORY: 8Gb

  • VIDEO CARD: Intel HD Graphics 610

  • Kernel: 4.x
Dukto is a handy lan file transfer program that I have used a lot in LL48.
It requires no configuration and does not need an internet connection.
However, it won't install in LL50; it gives the following error:

Error: Dependency is not satisfiable: libqt4-declarative (>=4:4.7.0~rc1)

This happens when I click on the .deb file, dukto_6.0-1_amd64.deb
which I believe is the latest and last version (it's no longer supported).

Any idea how to fix this or is there an alternative file transfer program
similar to Dukto ?
 


Re: Can't install Dukto in LL50
« Reply #1 on: August 13, 2020, 02:21:13 PM »
 

Şerban S.

  • Şerban
  • PayPal Supporter
  • Forum Regular
  • *****
  • 146
    Posts
  • Country: ro
  • Reputation: 7
  • Linux Lite Member

  • Linux Lite: 5.0 64bit

  • CPU: Intel® Core™ i7-4790

  • MEMORY: 16Gb

  • VIDEO CARD: Intel® HD Graphics 4600 + NVidia GK107 (GeForce GT630 OEM)

  • Kernel: 5.x
Hello! :)

[...] it gives the following error:
Error: Dependency is not satisfiable: libqt4-declarative (>=4:4.7.0~rc1)
[...] (it's no longer supported).

1. Since it stopped being supported, maybe it would be a good idea to move to something else.
2. Starting from Linux Lite 5.0, Qt 4 will be abandoned in favor to Qt 5.
It is already happening allover the place. Some people in the Gambas Programming community, had this trouble and the solution was to rewrite the programs using the Qt5 libraries.
Many other Apps bassed on the Qt, are ported to the latest kit so support for old ones, will soon end, as soon as the new versions emerge.

[...] Any idea how to fix this or is there an alternative file transfer program
similar to Dukto ?

The only idea I have is to replace Dukto with something newer, although it was made for Linux Mint.
It is called Warpinator. I tested it, it installs OK but you need to have a working network (Cat 5 or WiFi). You'll see your devices there and you can work pretty much as with a common File Manager. It's very much like using a USB cable with a phone with OTS.
The difference is that you'll be able to use WiFi instead of a wired connection ("LAN"), if the wired is off-hand.
The ideea is that if you have a phone that is connected, you can shift files from one device to another, without a long cable or any other software.

Read the details here:

https://www.omgubuntu.co.uk/2020/03/linux-mint-network-file-sending-tool

Download here:

https://github.com/linuxmint/warpinator

I managed to transfer almost everything from my phone (a local brand, Digi K2 aka Oukitel Y 4800) to my Linux Lite machine, using the charging USB cable and the "USB File Transfer Mode" internally, on the phone.
From one computer then, you can move pretty anything over all network, including the phones, since they look like any other USB stick.
I never used WiFi though, due to the catastrophic transfer speed. Made some tests, gave up. Too much of a trouble!

Good Luck! :)
"It's easy to die for an idea. It's way harder TO LIVE for your idea!"
Current Machine:
 Dell Precision T1700, 16 GB RAM, 240 GB SSD.
Laptop:
 Lenovo ThinkPad T400 + SSD Kingston A 400, 480 GB.
 

Re: Can't install Dukto in LL50
« Reply #2 on: August 13, 2020, 03:02:53 PM »
 

arky217

  • New to Forums
  • *
  • 45
    Posts
  • Country: us
  • Reputation: 6
  • Linux Lite Member

  • Linux Lite: 4.6 64bit

  • CPU: Pentium Gold G5400

  • MEMORY: 8Gb

  • VIDEO CARD: Intel HD Graphics 610

  • Kernel: 4.x
@ Serban,

Thank you, however, I've already found a replacement for Dukto called Nitroshare.
It seems to work well; if it gives me problems, however, I'll try out Warpinator.
 


Tags:
 


Download Linux Lite 5.2 today - See Release Announcements